package com.bocloud.cmp.model.storage;

import com.bocloud.cmp.model.StorageSyncedSetModel;
import com.bocloud.cmp.model.VolumeModel;

import java.util.Date;

public class StorageFlashCopyModel {
    private String storageUuid; // 所属集群uuid
    private String storageKeyPath; // 所属集群Path
    private String flashCopyUuid; // 唯一标识
    private String groupUuid; // 一致性组uuid
    private String groupKeyPath; // 一致性组path
    private String sourceVolumeUuid; // 源卷的volumeUuid
    private String sourceVolumeKeyPath; // 源卷的path
    private String targetVolumeUuid; // 目标卷的volumeUuid
    private String targetVolumeKeyPath; // 目标卷的path
    private String name; // 名称
    private String status; // 状态
    private Integer progress; // 进度
    private Date startTime; // 闪存时间
    private Integer copyRate; // 后台拷贝速率
    private Integer cleanRate; // 清除拷贝速率
    private String type; // 类型
    private Boolean autoDelete; // 拷贝完成后自动删除映射
    private Boolean incremental; // 递增
    private String keyPath; // smis用来传参
    private Boolean start; // 是否自动启动flashCopy
    private Boolean force; // 强制执行
    private VolumeModel sourceVolume; // 源卷
    private VolumeModel targetVolume; // 目标卷
    private StorageSyncedSetModel syncedSet; // 一致性组

    public String getStorageKeyPath() {
        return storageKeyPath;
    }

    public void setStorageKeyPath(String storageKeyPath) {
        this.storageKeyPath = storageKeyPath;
    }

    public String getGroupKeyPath() {
        return groupKeyPath;
    }

    public void setGroupKeyPath(String groupKeyPath) {
        this.groupKeyPath = groupKeyPath;
    }

    public String getSourceVolumeKeyPath() {
        return sourceVolumeKeyPath;
    }

    public void setSourceVolumeKeyPath(String sourceVolumeKeyPath) {
        this.sourceVolumeKeyPath = sourceVolumeKeyPath;
    }

    public String getTargetVolumeKeyPath() {
        return targetVolumeKeyPath;
    }

    public void setTargetVolumeKeyPath(String targetVolumeKeyPath) {
        this.targetVolumeKeyPath = targetVolumeKeyPath;
    }

    public String getKeyPath() {
        return keyPath;
    }

    public void setKeyPath(String keyPath) {
        this.keyPath = keyPath;
    }

    public Boolean getStart() {
        return start;
    }

    public void setStart(Boolean start) {
        this.start = start;
    }

    public String getStorageUuid() {
        return storageUuid;
    }

    public void setStorageUuid(String storageUuid) {
        this.storageUuid = storageUuid;
    }

    public Integer getProgress() {
        return progress;
    }

    public void setProgress(Integer progress) {
        this.progress = progress;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Integer getCopyRate() {
        return copyRate;
    }

    public void setCopyRate(Integer copyRate) {
        this.copyRate = copyRate;
    }

    public Integer getCleanRate() {
        return cleanRate;
    }

    public void setCleanRate(Integer cleanRate) {
        this.cleanRate = cleanRate;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public Boolean getAutoDelete() {
        return autoDelete;
    }

    public void setAutoDelete(Boolean autoDelete) {
        this.autoDelete = autoDelete;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public VolumeModel getSourceVolume() {
        return sourceVolume;
    }

    public void setSourceVolume(VolumeModel sourceVolume) {
        this.sourceVolume = sourceVolume;
    }

    public VolumeModel getTargetVolume() {
        return targetVolume;
    }

    public void setTargetVolume(VolumeModel targetVolume) {
        this.targetVolume = targetVolume;
    }

    public Boolean getIncremental() {
        return incremental;
    }

    public void setIncremental(Boolean incremental) {
        this.incremental = incremental;
    }

    public StorageSyncedSetModel getSyncedSet() {
        return syncedSet;
    }

    public void setSyncedSet(StorageSyncedSetModel syncedSet) {
        this.syncedSet = syncedSet;
    }

    public String getFlashCopyUuid() {
        return flashCopyUuid;
    }

    public void setFlashCopyUuid(String flashCopyUuid) {
        this.flashCopyUuid = flashCopyUuid;
    }

    public String getGroupUuid() {
        return groupUuid;
    }

    public void setGroupUuid(String groupUuid) {
        this.groupUuid = groupUuid;
    }

    public String getSourceVolumeUuid() {
        return sourceVolumeUuid;
    }

    public void setSourceVolumeUuid(String sourceVolumeUuid) {
        this.sourceVolumeUuid = sourceVolumeUuid;
    }

    public String getTargetVolumeUuid() {
        return targetVolumeUuid;
    }

    public void setTargetVolumeUuid(String targetVolumeUuid) {
        this.targetVolumeUuid = targetVolumeUuid;
    }

    public Boolean getForce() {
        return force;
    }

    public void setForce(Boolean force) {
        this.force = force;
    }
}
